using System;

internal sealed class Delegate827 : MulticastDelegate
{
	public unsafe extern void* Invoke(IntPtr intptr_0);

	public unsafe static void* smethod_0(IntPtr intptr_0, Delegate827 delegate827_1)
	{
		return delegate827_1(intptr_0);
	}

	public extern Delegate827(object object_0, IntPtr intptr_0);

	static Delegate827()
	{
		Class10.smethod_13(typeof(Delegate827).TypeHandle);
	}

	internal static Delegate827 delegate827_0;
}
